## sendfile 1.5-1

=== Makefile ===
# Makefile automaticly generated by genmake.
# DO NOT TOUCH THIS FILE!
# Instead edit config.h


first:
	@echo "Edit config.h if you wish and then type: make all"
all: make
	make
clean: make
	make clean
make:
	sh genmake
