=== src/Makefile ===
# Do not edit this file!
# It is autogenerated by "makeconfig" and will be overwritten next time!
# If you want to change some values, so do it in "makeconfig".

CC=gcc
CFLAGS=-Wall -ansi -pedantic -DBETA -DSOLARIS2
LINK=gcc
LDFLAGS=-s
LIBS= -lnsl -lsocket -lreadline -ltermcap

PROJECT=	sendfile sendmsg receive sendfiled utf7encode fetchfile wlock

SENDFILE_OBJ=   sendfile.o message.o utf7.o pstring.o string.o io.o net.o \
                address.o spool.o
FETCHFILE_OBJ=	fetchfile.o message.o utf7.o pstring.o string.o io.o net.o \
                address.o spool.o getline.o
SENDMSG_OBJ=    sendmsg.o message.o utf7.o pstring.o string.o io.o net.o \
                address.o getline.o
RECEIVE_OBJ=    receive.o message.o utf7.o pstring.o string.o io.o spool.o \
                getdate.o getline.o
SENDFILED_OBJ=  sendfiled.o message.o utf7.o pstring.o string.o io.o net.o \
                spool.o peername.o reply.o address.o
UTF7ENCODE_OBJ= utf7encode.o message.o utf7.o pstring.o


all:	$(PROJECT)
	@ls -l $(PROJECT)
	@echo
	@echo "and now type (as root):  make install"
	@echo

install: sendfile sendmsg receive sendfiled fetchfile utf7encode
	@cd ..;sh install SOLARIS2

sendfile: $(SENDFILE_OBJ)
	$(LINK) $(LDFLAGS) $(SENDFILE_OBJ) -o sendfile $(LIBS)

fetchfile: $(FETCHFILE_OBJ)
	$(LINK) $(LDFLAGS) $(FETCHFILE_OBJ) -o fetchfile $(LIBS)

sendmsg: $(SENDMSG_OBJ)
	$(LINK) $(LDFLAGS) $(SENDMSG_OBJ) -o sendmsg $(LIBS)

receive: $(RECEIVE_OBJ)
	$(LINK) $(LDFLAGS) $(RECEIVE_OBJ) -o receive $(LIBS)

sendfiled: $(SENDFILED_OBJ)
	$(LINK) $(LDFLAGS) $(SENDFILED_OBJ) -o sendfiled $(LIBS)

utf7encode: $(UTF7ENCODE_OBJ)
	$(LINK) $(LDFLAGS) $(UTF7ENCODE_OBJ) -o utf7encode $(LIBS)
	@rm -f utf7decode
	ln -s utf7encode utf7decode

wlock: wlock.o
	$(CC) -o wlock wlock.c

clean:
	rm -rf core *.o *~ a.out .deps \
	       sendfile sendfiled sendmsg receive fetchfile utf7??code wlock

trimeol:
	perl -pi -e 's/[ \t]+$//' *.c *.h


.c.o:
	$(CC) $(CFLAGS) -c $<

sendfile.o: sendfile.c config.h globals.h utf7.h string.h io.h
fetchfile.o: fetchfile.c config.h globals.h utf7.h string.h io.h
sendmsg.o: sendmsg.c config.h globals.h utf7.h string.h
receive.o: receive.c config.h globals.h utf7.h spool.h string.h io.h
sendfiled.o: sendfiled.c reply.h config.h globals.h utf7.h spool.h string.h
spoolid.o: spoolid.c config.h globals.h
message.o: message.c message.h config.h globals.h
utf7.o: utf7.c utf7.h config.h globals.h string.h
base64.o: base64.c base64.h config.h globals.h
pstring.o: pstring.c pstring.h config.h globals.h
peername.o: peername.c peername.h string.h config.h globals.h
net.o: net.c net.h io.h config.h globals.h
io.o: io.c io.h config.h globals.h
string.o: string.c string.h config.h globals.h
address.o: address.c address.h config.h globals.h string.h
spool.o: spool.c spool.h config.h globals.h string.h
reply.o: reply.c reply.h config.h globals.h net.h
getdate.o: getdate.c config.h
getline.o: getline.c config.h
utf7encode.o: utf7encode.c config.h globals.h utf7.h
