=== contrib/xhoppel/Makefile ===
CC=gcc -O2 -I/usr/X386/include -D_POSIX_SOURCE -c
LINK=gcc
LIBS=-L/usr/X11/lib -lXaw -lXmu -lXt -lXext -lX11


xhoppel: Mailbox.o xhoppel.o
	$(LINK) -o xhoppel Mailbox.o xhoppel.o $(LIBS)
	strip xhoppel

Mailbox.o: Mailbox.c nohoppel.xbm hoppelda.xbm
	$(CC) Mailbox.c
	
xhoppel.o: xhoppel.c
	$(CC) xhoppel.c

clean:
	rm -f core *~ *.o xhoppel
