## sendfile 2.1b

=== src/Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # It is autogenerated by "makeconfig" and will be overwritten next time!
 # If you want to change some values, so do it in "makeconfig".
 
-CC=gcc
-CFLAGS=-Wall -ansi -pedantic -DBETA -DSOLARIS2
-LINK=gcc
+CC=gcc -I/client/include -L/client/lib -R/client/lib
+CFLAGS=-O2 -Wall -DSOLARIS2
+LINK=gcc -I/client/include -L/client/lib -R/client/lib
 LDFLAGS=-s
 LIBS= -lnsl -lsocket -lreadline -ltermcap
 
@@ -17,10 +17,10 @@
 SENDMSG_OBJ=    sendmsg.o message.o utf7.o pstring.o string.o io.o net.o \
                 address.o getline.o
 RECEIVE_OBJ=    receive.o message.o utf7.o pstring.o string.o io.o spool.o \
-                getdate.o getline.o
+                getdate.o getline.o lock.o
 SENDFILED_OBJ=  sendfiled.o message.o utf7.o pstring.o string.o io.o net.o \
-                spool.o peername.o reply.o address.o
-UTF7ENCODE_OBJ= utf7encode.o message.o utf7.o pstring.o
+                spool.o peername.o reply.o address.o lock.o
+UTF7ENCODE_OBJ= utf7encode.o message.o utf7.o pstring.o string.o io.o
 
 
 all:	$(PROJECT)
@@ -52,8 +52,8 @@
 	@rm -f utf7decode
 	ln -s utf7encode utf7decode
 
-wlock: wlock.o
-	$(CC) -o wlock wlock.c
+wlock: wlock.o string.o
+	$(LINK) $(LDFLAGS) wlock.o string.o -o wlock
 
 clean:
 	rm -rf core *.o *~ a.out .deps \
@@ -66,9 +66,9 @@
 .c.o:
 	$(CC) $(CFLAGS) -c $<
 
-sendfile.o: sendfile.c config.h globals.h utf7.h string.h io.h
+sendfile.o: sendfile.c config.h globals.h utf7.h string.h io.h address.h
 fetchfile.o: fetchfile.c config.h globals.h utf7.h string.h io.h
-sendmsg.o: sendmsg.c config.h globals.h utf7.h string.h
+sendmsg.o: sendmsg.c config.h globals.h utf7.h string.h address.h
 receive.o: receive.c config.h globals.h utf7.h spool.h string.h io.h
 sendfiled.o: sendfiled.c reply.h config.h globals.h utf7.h spool.h string.h
 spoolid.o: spoolid.c config.h globals.h
@@ -85,4 +85,5 @@
 reply.o: reply.c reply.h config.h globals.h net.h
 getdate.o: getdate.c config.h
 getline.o: getline.c config.h
+lock.o: lock.c lock.h
 utf7encode.o: utf7encode.c config.h globals.h utf7.h
