## sendfile 2.1b.20080616

=== Makefile ===
# Do not edit this file!
# It is autogenerated by "makeconfig" and will be overwritten next time!
# If you want to change some values, so do it in "makeconfig".

PROJECT=sendfile-2.1b

all: develop/config.log .
	cd src; make

install: develop/config.log .
	sh develop/install 

userinstall: develop/config.log .
	sh develop/userinstall

reinstall: develop/config.log .
	sh develop/install  reinstall

config: 
	./makeconfig

develop/config.log: makeconfig
	./makeconfig
	
clean:
	rm -f *~ */*~ sendfile-*tar.gz
	./makeconfig clean
	cd contrib/xhoppel && make clean
	cd develop && rm -rf config.cache config.log autom4te.cache
	cd src && make clean && rm -f config.h globals.h
	
wc:
	@cd src; wc -cl \
	  sendfile.c sendfiled.c sendmsg.c receive.c utf7encode.c fetchfile.c \
	  string.[ch] utf7.[ch] pstring.[ch] message.[ch] peername.[ch] \
	  io.[ch] net.[ch] address.[ch] spool.[ch] reply.[ch] getline.[ch] \
	  lock.[ch] wlock.c bsd.h pussy \
	  ../develop/install ../develop/makefile* ../makeconfig \
	  ../etc/check_sendfile ../etc/xinetd \
	  ../etc/sf_cleanup ../etc/sfconf ../etc/sfdconf ../etc/sendfile.cf

dist: clean
	@mkdir $(PROJECT)
	@tar cf - `cat develop/FILES` | (cd $(PROJECT); tar xf - )
	tar cvf - $(PROJECT) | gzip > $(PROJECT).tar.gz
	@rm -rf $(PROJECT)
	@ls -l $(PROJECT).tar.gz 

floppy: clean
	cd ..; tar cvzf /dev/fd0 $(PROJECT)
	@cd ..; tar czf /tmp/sf.tgz $(PROJECT)
	@echo "insert a new disk and press enter"; read dummy
	mformat a:; mcopy /tmp/sf.tgz a:; rm -f /tmp/sf.tgz
