=== doc/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.1l from Makefile.am

# Copyright (C) 1994, 1995, 1996 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = /usr/local/bin
sbindir = ${exec_prefix}/sbin
libexecdir = /usr/local/sbin
datadir = ${prefix}/share
sysconfdir = /usr/local/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = /usr/local/man
includedir = ${prefix}/include
oldincludedir = /usr/include

pkgdatadir = $(datadir)/sendfile
pkglibdir = $(libdir)/sendfile
pkgincludedir = $(includedir)/sendfile

top_builddir = ..

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,
target_alias = i486-pc-linux-gnu
build_alias = i486-pc-linux-gnu
host_triplet = i486-pc-linux-gnu
target_triplet = i486-pc-linux-gnu
build_triplet = i486-pc-linux-gnu
host_alias = i486-pc-linux-gnu
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
PACKAGE = sendfile
SYSTEM = i486-pc-linux-gnu
CC = gcc
VERSION = 1.6
REVISION = 19970327

AUTOMAKE_OPTIONS = gnits
MAINT_CHARSET = latin1

man_MANS = sendfile.1 sendmsg.1 receive.1

EXTRA_DIST = LIESMICH LIESMICH.auch LIESMICH.neu LIESMICH.goern doc.txt \
             doku.ps doku.txt
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = .././src/config.h
CONFIG_CLEAN_FILES = 
MANS = sendfile.1 sendmsg.1 receive.1

NROFF = nroff
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) \
	$(TEXINFOS) $(MANS) $(EXTRA_DIST)

TAR = tar
default: all

.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL) 
	cd $(top_srcdir) && automake --gnits doc/Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

install-man: $(MANS)
	$(NORMAL_INSTALL)
	$(mkinstalldirs) $(mandir)/man1
	sect=1;				\
	inst=`echo "sendfile" | sed '$(transform)'`.1; \
	if test -f $(srcdir)/sendfile.1; then file=$(srcdir)/sendfile.1; \
	else file=sendfile.1; fi; \
	$(INSTALL_DATA) $$file $(mandir)/man$$sect/$$inst
	sect=1;				\
	inst=`echo "sendmsg" | sed '$(transform)'`.1; \
	if test -f $(srcdir)/sendmsg.1; then file=$(srcdir)/sendmsg.1; \
	else file=sendmsg.1; fi; \
	$(INSTALL_DATA) $$file $(mandir)/man$$sect/$$inst
	sect=1;				\
	inst=`echo "receive" | sed '$(transform)'`.1; \
	if test -f $(srcdir)/receive.1; then file=$(srcdir)/receive.1; \
	else file=receive.1; fi; \
	$(INSTALL_DATA) $$file $(mandir)/man$$sect/$$inst

uninstall-man:
	inst=`echo "sendfile" | sed '$(transform)'`.1; \
	rm -f $(mandir)/man1/$$inst
	inst=`echo "sendmsg" | sed '$(transform)'`.1; \
	rm -f $(mandir)/man1/$$inst
	inst=`echo "receive" | sed '$(transform)'`.1; \
	rm -f $(mandir)/man1/$$inst

tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = doc
distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: 
	$(NORMAL_INSTALL)

install-data: install-man
	$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: uninstall-man

all: $(MANS) Makefile

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install
installdirs:
	$(mkinstalldirs)  $(mandir)/man1


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-generic

clean:  clean-generic mostlyclean

distclean:  distclean-generic clean
	rm -f config.status

maintainer-clean:  maintainer-clean-generic distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: default install-man uninstall-man tags distdir info dvi \
installcheck install-exec install-data install uninstall all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
