=== src/Makefile ===
--- 
+++ 
@@ -2,11 +2,11 @@
 # It is autogenerated by "makeconfig" and will be overwritten next time!
 # If you want to change some values, so do it in "makeconfig".
 
-CC=gcc -I/client/include -L/client/lib -R/client/lib
-CFLAGS=-O2 -Wall -DSOLARIS2
-LINK=gcc -I/client/include -L/client/lib -R/client/lib
+CC=gcc
+CFLAGS=-O2 -Wall -DLINUX
+LINK=gcc
 LDFLAGS=-s
-LIBS= -lnsl -lsocket -lreadline -ltermcap
+LIBS= -lnsl -lreadline -L/usr/lib/termcap -ltermcap
 
 PROJECT=	sendfile sendmsg receive sendfiled utf7encode fetchfile wlock
 
@@ -30,7 +30,7 @@
 	@echo
 
 install: sendfile sendmsg receive sendfiled fetchfile utf7encode
-	@cd ..;sh install SOLARIS2
+	@cd ..;sh install LINUX
 
 sendfile: $(SENDFILE_OBJ)
 	$(LINK) $(LDFLAGS) $(SENDFILE_OBJ) -o sendfile $(LIBS)
