=== contrib/xhoppel/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CC=gcc -O2 -I/usr/X386/include -D_POSIX_SOURCE -c
 LINK=gcc
-LIBS=-L/usr/X11/lib -lXaw -lXmu -lXt -lXext -lX11
+LIBS=-L/usr/X11/lib -lXaw -lXmu -lXt -lXext -lX11 -lsocket -lnsl
 
 
 xhoppel: Mailbox.o xhoppel.o
