=== debian/changelog ===
sendfile (2.1b.20080616-10) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for sendfile.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:35:27 +0100

sendfile (2.1b.20080616-9) unstable; urgency=medium

  * QA upload.
  * debian/NMU-Disclaimer: Dropped, the package is now orphaned.
  * debian/control:
    + Use up-to-date homepage field.
    + Add new Vcs-* fields to indicate usage of git packaging repo
      under Salsa Debian GitLab.
    + Bump Standards-Version to 4.6.0 (no changes needed).
  * debian/source/format: Convert to "3.0 (quilt)" format.
  * debian/patches: Convert direct source code changes into patch
    series.
  * debian/changelog: Remove trailing spaces.
  * debian/copyright: Fix typo.
  * debian/rules: Drop useless Makefile targets
    (source diff, dsc, checkroot, dist).
  * debian/rules: Add recommended targets (build-arch, build-indep).
  * debian/rules: Remove trailing spaces.
  * debian/sf_cleanup: Replace missing tempfile(1) call with mktemp(1).
    (Closes: #969409)

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Aug 2021 00:24:49 -0400

sendfile (2.1b.20080616-8) unstable; urgency=medium

  * No-change upload to ensure migration to testing. Thanks to Vagrant
    Cascadian for the heads-up.

 -- Chris Lamb <lamby@debian.org>  Sun, 27 Dec 2020 16:26:59 +0000

sendfile (2.1b.20080616-7) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible. (Closes: #776938)
  * Move Homepage field to source package from binary package.
  * Specify "1.0" as an explicit source format.
  * Remove duplicate "Section: net" and "Priority: optional" from
    debian/control.
  * Add missing "set -e" to preinst script. (Closes: #866268)
  * Bump Standards-Version to 4.5.1.

 -- Chris Lamb <lamby@debian.org>  Mon, 21 Dec 2020 11:20:18 +0000

sendfile (2.1b.20080616-6) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #934436)
  * Using new DH level format. Consequently:
      - debian/control: added debhelper-compat to Build-Depends field.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Junior Figueredo <juniorfg.debian@outlook.com>  Wed, 13 May 2020 08:43:38 -0300

sendfile (2.1b.20080616-5.3) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures (Closes: #726495)

 -- Chen Baozi <baozich@gmail.com>  Thu, 05 Jun 2014 16:46:19 +0800

sendfile (2.1b.20080616-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't edit /etc/services, /etc/profile and /etc/csh.login
  * Cleanup edits to those files from previous versions
    Closes: #685631
  * Depend on update-inetd because the postinst script requires the perl
    module DebianNet
  * Depend on libdpkg-perl for version checks in postinst script

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 25 Aug 2012 11:03:41 +0200

sendfile (2.1b.20080616-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove all files on purge.  Thanks for the patch to
    Andreas Beckmann <debian@abeckmann.de>
    Closes: #668721

 -- Andreas Tille <tille@debian.org>  Thu, 09 Aug 2012 15:03:55 +0200

sendfile (2.1b.20080616-5) unstable; urgency=low

  * Add new config file /etc/profile.d/sendfile and remove old line from
    /etc/profile if it is detected during installation (closes: Bug#17545)

 -- Joey Schulze <joey@infodrom.org>  Mon, 13 Jun 2011 17:01:09 +0200

sendfile (2.1b.20080616-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Check if /etc/cron.weekly/sendfile is unmodified when upgrading from
    lenny, and remove it if so; avoids spurious dpkg warning (closes: #606777)

 -- Chris Butler <chrisb@debian.org>  Sun, 19 Dec 2010 15:31:42 +0000

sendfile (2.1b.20080616-4) unstable; urgency=low

  * Terminate weekly cronjob (sf_cleenup) preemptively when no sendfile
    program exists (closes: Bug#571935)
  * Clean up temporary directory before exiting during weekly cronjob

 -- Joey Schulze <joey@infodrom.org>  Sun, 22 Aug 2010 14:49:42 +0200

sendfile (2.1b.20080616-3) unstable; urgency=low

  * Adjust configuration file path in manpages to reality (closes: Bug#540818)
  * Update config.guess and config.sub in develop from automake 1.11
    (closes: Bug#535738)
  * Convert Authors and Thanks files to UTF-8 when adding to copyright file
  * Explicitly specify version 2 of GPL as license
  * Remove absolute path from postrm script

 -- Joey Schulze <joey@infodrom.org>  Mon, 25 Jan 2010 16:20:59 +0100

sendfile (2.1b.20080616-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "file-in-etc-not-marked-as-conffile /etc/cron.weekly/sendfile"
    by adding /etc/cron.weekly/sendfile to debian/conffiles (closes: #553563).
  * Fix "replacing libreadline5-dev build dependency with libreadline-
    dev" (closes: #553850).

 -- Gregor Herrmann <gregoa@debian.org>  Sat, 28 Nov 2009 13:50:59 +0100

sendfile (2.1b.20080616-2) unstable; urgency=low

  * Adjusted permissions of logrotate file, thanks to Jan Sievers
    <sievers@zedat.fu-berlin.de> (closes: Bug#487079)

 -- Joey Schulze <joey@infodrom.org>  Thu, 19 Jun 2008 20:16:01 +0200

sendfile (2.1b.20080616-1) unstable; urgency=low

  * New upstream version 2.1b from 2008-06-16
  * Adjusted source URL
  * Corrected receive(1) manpage

 -- Joey Schulze <joey@infodrom.org>  Thu, 19 Jun 2008 08:50:20 +0200

sendfile (2.1b.20080311-2) unstable; urgency=low

  * Fix NULL pointer dereference in src/sendfile.c by Ulf Fischer
    <ulf@isdoof.de> (closes: Bug#485285)

 -- Joey Schulze <joey@infodrom.org>  Mon, 16 Jun 2008 11:41:30 +0200

sendfile (2.1b.20080311-1) unstable; urgency=low

  * New upstream version 2.1b from 2008-03-11
  * Added new homepage address

 -- Joey Schulze <joey@infodrom.org>  Sun, 15 Jun 2008 13:36:13 +0200

sendfile (2.1b-7) unstable; urgency=low

  * Updated lists and addresses

