=== debian/control ===
Source: sendfile
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libreadline-dev, autotools-dev
Standards-Version: 4.6.1
Homepage: https://fex.belwue.de/saft/
Vcs-Git: https://salsa.debian.org/debian/sendfile.git
Vcs-Browser: https://salsa.debian.org/debian/sendfile

Package: sendfile
Architecture: any
Depends: ${shlibs:Depends}, openbsd-inetd | inet-superserver, perl | perl5, update-inetd, libdpkg-perl, ${misc:Depends}
Suggests: pgp-i
Description: Simple Asynchronous File Transfer
 Sendfile is an asynchronous file transfer service for the Internet,
 like the sendfile facility in Bitnet: Any user A can send files to
 another user B without B being active in any way.
 .
 The existing standard file transfer (ftp) is a synchronous service:
 The user must have access to an account on the sending and on the
 receiving site, too.
 .
 Sendfile for Unix, which is an implementation of the SAFT protocol
 (Simple Asynchronous File Transfer) now offers you a true
 asynchronous file transfer service for the Internet.  Virtually any
 form of file can be sent, including encrypted ones.  The SAFT
 protocol will be submitted as an RFC in the near future.
